APT-MARK(8)

août 2009

NAME
apt-mark - Indiquer si un paquet a été installé automatiquement ou non

SYNOPSIS

apt-mark [-hv] [-f=FICHIER] {markauto | unmarkauto} paquet... | showauto

DESCRIPTION

Avec la commande apt-mark, on peut indiquer si un paquet a été automatiquement installé ou pas.

Lorsque l'installation d'un paquet est demandée et que par voie de dépendances d'autres paquets sont installés, ces paquets sont marqués comme ayant été automatiquement installés. Une fois que ces paquets automatiquement installés ne sont plus liés à un paquet existant, ils seront supprimés par un appel à apt-get ou aptitude.

markauto
    markauto permet de marquer un paquet comme ayant été installé automatiquement. Un tel paquet sera supprimé automatiquement dès que plus aucun paquet installé manuellement ne dépend de lui.

unmarkauto
    unmarkauto permet de marquer un paquet comme installé manuellement. Un tel paquet ne sera pas supprimé automatiquement, même si aucun autre paquet n'en dépend.

showauto
    showauto, affiche les paquets installés automatiquement, un paquet par ligne.

OPTIONS

-f=FICHIER, --file=FICHIER
    Lecture/écriture des statistiques d'un paquet dans FICHIER au lieu du fichier par défaut (extended_status dans le répertoire défini par l'élément de configuration Dir::State).

-h, --help
    Affiche un résumé de l'aide

-v, --version
    Affiche la version du programme.

FICHIERS

/var/lib/apt/extended_states
    Liste d'état des paquets installés automatiquement. Élément de configuration : Dir::State::extended_states.

VOIR AUSSI

apt-get(8),aptitude(8),apt.conf(5)

DIAGNOSTICS

apt-mark retourne zéro après un déroulement normal, et un autre chiffre en cas d'erreur.

BOGUES

Page des bogues d'APT[1]. Si vous souhaitez signaler un bogue à propos d'APT, veuillez lire /usr/share/doc/debian/bug-reporting.txt ou utiliser la commande reportbug(1).

TRADUCTEURS

Jérôme Marant, Philippe Batailler, Christian Perrier bubulle@debian.org (2000, 2005, 2009, 2010), Équipe de traduction francophone de Debian debian-l10n-french@lists.debian.org

Veuillez noter que cette traduction peut contenir des parties non traduites Cela est volontaire, pour éviter de perdre du contenu quand la traduction est légèrement en retard sur le contenu d'origine.

AUTHORS

Mike O'Connor

Équipe de développement d'APT

NOTES

1.  Page des bogues d'APT
    http://bugs.debian.org/src:apt